package com.lzmispt.data.resource.client;

package .tmp;

import com.lzmispt.data.resource.entity.vo.monitor.DataPushMonitorVo;
import com.lzmispt.data.resource.fallback.ResourceClientBack;
import com.lzmispt.dcbase.config.FeignConfig;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "mispt-dc-resource", fallback = ResourceClientBack.class, configuration = {FeignConfig.class})
public interface ResourceClient {
  @RequestMapping(value = {"/mispt-dc-resource/test/getDataPushMonitorVoTest"}, method = {RequestMethod.GET})
  ResultEntity<List<DataPushMonitorVo>> getDataPushTest();
}
